# $Revision: 1.60 $, $Date: 2012/05/21 07:17:30 $
Summary:	Tool to generate full-size image files and thumbnails
Summary(pl.UTF-8):	Narzędzie do generowania pełnowymiarowych plików obrazów i miniaturek
Name:		gnome-web-photo
Version:	0.10.6
Release:	1
License:	GPL
Group:		Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-web-photo/0.10/%{name}-%{version}.tar.xz
# Source0-md5:	6fbf72173149ffae57e66605e4898113
URL:		http://www.gnome.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.14.0
BuildRequires:	gnome-common >= 2.12.0
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	gtk-webkit3-devel >= 1.1.23
BuildRequires:	intltool >= 0.40.6
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.198
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Web Photographer is a tool to generate full-size image files and
thumbnails from HTML files and web pages.

%description -l pl.UTF-8
GNOME Web Photographer to narzędzie do generowania pełnowymiarowych
plików obrazów i miniaturek.

%prep
%setup -q

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog HACKING NEWS README TODO
%attr(755,root,root) %{_bindir}/gnome-web-photo
%attr(755,root,root) %{_bindir}/gnome-web-print
%attr(755,root,root) %{_bindir}/gnome-web-thumbnail
%dir %{_datadir}/gnome-web-photo
%{_datadir}/gnome-web-photo/style.css
%{_datadir}/thumbnailers/gnome-web-photo.thumbnailer

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-web-photo.spec,v $
Revision 1.60  2012/05/21 07:17:30  kiesiu
- updated to 0.10.6

Revision 1.59  2012/01/17 21:57:02  kiesiu
- updated to 0.10.5

Revision 1.58  2011/11/25 12:04:28  kiesiu
- updated to 0.10.4
- use *.xz source
- disable silent rules

Revision 1.57  2011/09/08 11:49:00  lisu
- updated to 0.10.3

Revision 1.56  2011/07/06 07:14:48  lisu
- updated to 0.10.2

Revision 1.55  2011/06/21 09:21:35  lisu
- gtk-webkit3 -> gtk-webkit3-devel in BRs

Revision 1.54  2011/04/07 10:25:57  kiesiu
- updated to 0.10.1
- tool is rewriten with gtk-webkit and drops xulrunner deps
- updated BRs

Revision 1.53  2011/03/04 13:27:51  lisu
- rel 18

Revision 1.52  2011/03/02 15:06:03  lisu
- rel 17

Revision 1.51  2010/12/17 09:25:57  megabajt
- release 16

Revision 1.50  2010/11/25 17:37:53  megabajt
- release 15

Revision 1.49  2010/09/16 19:09:42  duddits
- rel.14

Revision 1.48  2010/09/08 13:12:57  duddits
- rel. 13

Revision 1.47  2010/08/24 07:51:25  glen
- BR: libstdc++-devel

Revision 1.46  2010/08/23 22:35:59  glen
- fix --no-copy-dt-needed-entries linking (add nspr libs)
- --as-needed still needs a fix, filtered out for now; rel 12

Revision 1.45  2010/08/01 13:12:10  arekm
- release 11

Revision 1.44  2010/07/01 11:11:28  megabajt
- release 10

Revision 1.43  2010/04/21 17:01:43  arekm
- release 9

Revision 1.42  2010/02/16 10:05:39  arekm
- release 8

Revision 1.41  2010/02/15 11:52:57  arekm
- release 7

Revision 1.40  2010/01/30 10:31:09  megabajt
- release 6

Revision 1.39  2010/01/22 20:19:54  megabajt
- require recent xulrunner version to build

Revision 1.38  2010/01/22 20:14:26  megabajt
- fixed build with xulrunner 1.9.2.3.6 (added -xul_api_change.patch and updated -libxul.patch)
- release 5

Revision 1.37  2010/01/22 18:31:44  arekm
- release 4

Revision 1.36  2010/01/14 13:44:29  hawk
- release 3

Revision 1.35  2010/01/07 14:52:38  duddits
- rel. 2

Revision 1.34  2009/12/18 15:49:10  megabajt
- updated to 0.9

Revision 1.33  2009/11/08 19:53:13  megabajt
- release 7

Revision 1.32  2009/11/01 17:33:15  arekm
- release 6

Revision 1.31  2009/09/10 12:20:05  baggins
- rel 5

Revision 1.30  2009/08/09 21:01:51  adamg
- fix for xulrunner-devel-1.9.1.2

Revision 1.29  2009/07/12 13:23:10  arekm
- release 3

Revision 1.28  2009/05/06 20:33:08  megabajt
- release 2

Revision 1.27  2009/04/24 13:13:48  megabajt
- updated to 0.7

Revision 1.26  2009/03/19 21:52:32  megabajt
- updated to 0.6

Revision 1.25  2009/03/06 08:50:57  arekm
- release 7

Revision 1.24  2009/02/12 22:13:36  megabajt
- release 6

Revision 1.23  2008/12/17 18:07:56  hawk
- release 5

Revision 1.22  2008/11/13 17:58:23  arekm
- release 4

Revision 1.21  2008/09/30 10:26:21  hawk
- release 3

Revision 1.20  2008/07/23 15:15:46  hawk
- release 2

Revision 1.19  2008/07/08 16:35:30  megabajt
- updated to 0.4
- added -libxul.patch to fix build with xulrunner 1.9

Revision 1.18  2008/04/23 07:48:53  hawk
- release 16

Revision 1.17  2008-03-27 21:07:33  hawk
- release 15 (xulrunner 1.8.1.13)

Revision 1.16  2008-02-08 20:11:12  hawk
- release 14 (xulrunner 1.8.1.12)

Revision 1.15  2008-01-06 22:57:38  glen
- rel 13 (xulrunner update)

Revision 1.14  2007-11-30 17:49:10  megabajt
- package all files
- release 12

Revision 1.13  2007-11-27 19:27:16  megabajt
- release 11 (xulrunner 1.8.1.10)

Revision 1.12  2007-11-10 13:40:28  megabajt
- release 10 (xulrunner 1.8.1.9)

Revision 1.11  2007/10/22 19:33:02  megabajt
- release 9 (xulrunner 1.8.1.8)

Revision 1.10  2007/09/22 08:43:16  megabajt
- release 8 (xulrunner 1.8.1.7)

Revision 1.9  2007/08/14 22:03:25  megabajt
- release 7 (xulrunner 1.8.1.6)

Revision 1.8  2007/07/25 19:34:38  megabajt
- release 6 (rebuild with xulrunner 1.8.1.5)

Revision 1.7  2007/06/02 18:30:39  megabajt
- release 5 (rebuild with xulrunner 1.8.1.4)

Revision 1.6  2007/05/17 20:44:57  qboosh
- BR: pkgconfig

Revision 1.5  2007/04/02 15:44:50  baggins
- rel 4

Revision 1.4  2007/04/02 12:46:50  baggins
- rel 3

Revision 1.3  2007/03/23 18:05:00  megabajt
- release 2 to rebuild with xulrunner 1.8.1.3

Revision 1.2  2007/03/14 16:21:15  qboosh
- pl

Revision 1.1  2007/03/11 11:42:50  megabajt
- new
